Page MenuHomePhabricator

Maintenance Script Fails to Run - Class WikibaseRepo not found
Closed, ResolvedPublic

Description

Following the README I was unable to run the final set. The ImportConstraintStatements maint script.

Looks like this is because it tries to use WikibaseRepo in the constructor before the maintenance code has loaded LocalSettings.php and therefore Wikibase

php maintenance/runScript.php extensions/WikibaseQualityConstraints/maintenance/ImportConstraintStatements.php --wiki default
PHP Fatal error:  Uncaught Error: Class 'Wikibase\Repo\WikibaseRepo' not found in /var/www/mediawiki/extensions/WikibaseQualityConstraints/maintenance/ImportConstraintStatements.php:39
Stack trace:
#0 /var/www/mediawiki/maintenance/doMaintenance.php(48): WikibaseQuality\ConstraintReport\Maintenance\ImportConstraintStatements->__construct()
#1 /var/www/mediawiki/extensions/WikibaseQualityConstraints/maintenance/ImportConstraintStatements.php(73): require_once('/var/www/mediaw...')
#2 /var/www/mediawiki/maintenance/runScript.php(64): require_once('/var/www/mediaw...')
#3 {main}
  thrown in /var/www/mediawiki/extensions/WikibaseQualityConstraints/maintenance/ImportConstraintStatements.php on line 39
``

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterRemove WikibaseRepo reference from constructor on the maintenance script

Event Timeline

Tarrow created this task.Aug 23 2018, 4:53 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptAug 23 2018, 4:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 454859 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove WikibaseRepo reference from constructor on the maintenance script

https://gerrit.wikimedia.org/r/454859

Change 454859 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove WikibaseRepo reference from constructor on the maintenance script

https://gerrit.wikimedia.org/r/454859

Addshore moved this task from incoming to in progress on the Wikidata board.Sep 20 2018, 7:45 AM
Addshore added a subscriber: Addshore.

@Tarrow is this one fixed? :)

Tarrow closed this task as Resolved.Oct 16 2018, 11:36 AM